<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>XWPFChart (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="XWPFChart (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/XWPFChart.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFAbstractSDT.html"
               title="class in org.apache.poi.xwpf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFComment.html"
               title="class in org.apache.poi.xwpf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xwpf/usermodel/XWPFChart.html" target="_top">Frames</a>
        </li>
        <li><a href="XWPFChart.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li><a href="#nested.classes.inherited.from.class.org.apache.poi.ooxml.POIXMLDocumentPart">Nested</a>&nbsp;|&nbsp;
            </li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.xwpf.usermodel</div>
    <h2 title="Class XWPFChart" class="title">Class XWPFChart</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li><a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html"
                       title="class in org.apache.poi.ooxml">org.apache.poi.ooxml.POIXMLDocumentPart</a></li>
                <li>
                    <ul class="inheritance">
                        <li><a href="../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChart.html"
                               title="class in org.apache.poi.xddf.usermodel.chart">org.apache.poi.xddf.usermodel.chart.XDDFChart</a>
                        </li>
                        <li>
                            <ul class="inheritance">
                                <li>org.apache.poi.xwpf.usermodel.XWPFChart</li>
                            </ul>
                        </li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd><a href="../../../../../org/apache/poi/xddf/usermodel/text/TextContainer.html"
                           title="interface in org.apache.poi.xddf.usermodel.text">TextContainer</a></dd>
                </dl>
                <hr>
                <br>
                <pre><a href="../../../../../org/apache/poi/util/Beta.html" title="annotation in org.apache.poi.util">@Beta</a>
public class <span class="typeNameLabel">XWPFChart</span>
extends <a href="../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChart.html"
           title="class in org.apache.poi.xddf.usermodel.chart">XDDFChart</a></pre>
                <div class="block">Represents a Chart in a .docx file</div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== NESTED CLASS SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="nested.class.summary">
                        <!--   -->
                    </a>
                        <h3>Nested Class Summary</h3>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="nested.classes.inherited.from.class.org.apache.poi.ooxml.POIXMLDocumentPart">
                                <!--   -->
                            </a>
                                <h3>Nested classes/interfaces inherited from class&nbsp;org.apache.poi.ooxml.<a
                                        href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html"
                                        title="class in org.apache.poi.ooxml">POIXMLDocumentPart</a></h3>
                                <code><a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.RelationPart.html"
                                         title="class in org.apache.poi.ooxml">POIXMLDocumentPart.RelationPart</a></code>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Field Summary table, listing fields, and an explanation">
                            <caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Field and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFChart.html#DEFAULT_HEIGHT">DEFAULT_HEIGHT</a></span></code>
                                    <div class="block">default height of chart in emu</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFChart.html#DEFAULT_WIDTH">DEFAULT_WIDTH</a></span></code>
                                    <div class="block">default width of chart in emu</div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="fields.inherited.from.class.org.apache.poi.xddf.usermodel.chart.XDDFChart">
                                <!--   -->
                            </a>
                                <h3>Fields inherited from class&nbsp;org.apache.poi.xddf.usermodel.chart.<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChart.html"
                                        title="class in org.apache.poi.xddf.usermodel.chart">XDDFChart</a></h3>
                                <code><a href="../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChart.html#axes">axes</a>,
                                    <a href="../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChart.html#chart">chart</a>,
                                    <a href="../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChart.html#chartSpace">chartSpace</a></code>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier</th>
                                <th class="colLast" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected </code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFChart.html#XWPFChart--">XWPFChart</a></span>()</code>
                                    <div class="block">constructor to
                                        Create a new chart in document
                                    </div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>protected </code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFChart.html#XWPFChart-org.apache.poi.openxml4j.opc.PackagePart-">XWPFChart</a></span>(<a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackagePart.html"
                                        title="class in org.apache.poi.openxml4j.opc">PackagePart</a>&nbsp;part)</code>
                                    <div class="block">Construct a chart from a package part.</div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>protected void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFChart.html#attach-java.lang.String-org.apache.poi.xwpf.usermodel.XWPFRun-">attach</a></span>(java.lang.String&nbsp;chartRelId,
                                    <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRun.html"
                                       title="class in org.apache.poi.xwpf.usermodel">XWPFRun</a>&nbsp;run)</code>
                                    <div class="block">Attach this chart known by its relation id to the given text
                                        run.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFChart.html#equals-java.lang.Object-">equals</a></span>(java.lang.Object&nbsp;obj)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>long</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFChart.html#getChartBottomMargin-long-">getChartBottomMargin</a></span>(long&nbsp;margin)</code>
                                    <div class="block">get margin from Bottom</div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>protected <a
                                        href="../../../../../org/apache/poi/ooxml/POIXMLFactory.html"
                                        title="class in org.apache.poi.ooxml">POIXMLFactory</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFChart.html#getChartFactory--">getChartFactory</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>long</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFChart.html#getChartHeight--">getChartHeight</a></span>()</code>
                                    <div class="block">get chart height</div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>long</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFChart.html#getChartLeftMargin-long-">getChartLeftMargin</a></span>(long&nbsp;margin)</code>
                                    <div class="block">get margin from left</div>
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>protected <a
                                        href="../../../../../org/apache/poi/ooxml/POIXMLRelation.html"
                                        title="class in org.apache.poi.ooxml">POIXMLRelation</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFChart.html#getChartRelation--">getChartRelation</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>long</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFChart.html#getChartRightMargin-long-">getChartRightMargin</a></span>(long&nbsp;margin)</code>
                                    <div class="block">get margin from Right</div>
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>long</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFChart.html#getChartTopMargin-long-">getChartTopMargin</a></span>(long&nbsp;margin)</code>
                                    <div class="block">get margin from Top</div>
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>long</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFChart.html#getChartWidth--">getChartWidth</a></span>()</code>
                                    <div class="block">get chart width</div>
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code>protected <a
                                        href="../../../../../org/apache/poi/ooxml/POIXMLRelation.html"
                                        title="class in org.apache.poi.ooxml">POIXMLRelation</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFChart.html#getChartWorkbookRelation--">getChartWorkbookRelation</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code>java.lang.Long</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFChart.html#getChecksum--">getChecksum</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFChart.html#hashCode--">hashCode</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i13" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFChart.html#setChartBottomMargin-long-">setChartBottomMargin</a></span>(long&nbsp;margin)</code>
                                    <div class="block">set margin from bottom</div>
                                </td>
                            </tr>
                            <tr id="i14" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFChart.html#setChartBoundingBox-long-long-">setChartBoundingBox</a></span>(long&nbsp;width,
                                    long&nbsp;height)</code>
                                    <div class="block">set chart height and width</div>
                                </td>
                            </tr>
                            <tr id="i15" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFChart.html#setChartHeight-long-">setChartHeight</a></span>(long&nbsp;height)</code>
                                    <div class="block">set chart height</div>
                                </td>
                            </tr>
                            <tr id="i16" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFChart.html#setChartLeftMargin-long-">setChartLeftMargin</a></span>(long&nbsp;margin)</code>
                                    <div class="block">set margin from left</div>
                                </td>
                            </tr>
                            <tr id="i17" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFChart.html#setChartMargin-long-long-long-long-">setChartMargin</a></span>(long&nbsp;top,
                                    long&nbsp;right,
                                    long&nbsp;bottom,
                                    long&nbsp;left)</code>
                                    <div class="block">set chart margin</div>
                                </td>
                            </tr>
                            <tr id="i18" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFChart.html#setChartRightMargin-long-">setChartRightMargin</a></span>(long&nbsp;margin)</code>
                                    <div class="block">set margin from Right</div>
                                </td>
                            </tr>
                            <tr id="i19" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFChart.html#setChartTopMargin-long-">setChartTopMargin</a></span>(long&nbsp;margin)</code>
                                    <div class="block">set margin from top</div>
                                </td>
                            </tr>
                            <tr id="i20" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFChart.html#setChartWidth-long-">setChartWidth</a></span>(long&nbsp;width)</code>
                                    <div class="block">set chart width</div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.xddf.usermodel.chart.XDDFChart">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.xddf.usermodel.chart.<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChart.html"
                                        title="class in org.apache.poi.xddf.usermodel.chart">XDDFChart</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChart.html#commit--">commit</a>,
                                    <a href="../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChart.html#createCategoryAxis-org.apache.poi.xddf.usermodel.chart.AxisPosition-">createCategoryAxis</a>,
                                    <a href="../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChart.html#createData-org.apache.poi.xddf.usermodel.chart.ChartTypes-org.apache.poi.xddf.usermodel.chart.XDDFChartAxis-org.apache.poi.xddf.usermodel.chart.XDDFValueAxis-">createData</a>,
                                    <a href="../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChart.html#createDateAxis-org.apache.poi.xddf.usermodel.chart.AxisPosition-">createDateAxis</a>,
                                    <a href="../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChart.html#createRelationshipInChart-org.apache.poi.ooxml.POIXMLRelation-org.apache.poi.ooxml.POIXMLFactory-int-">createRelationshipInChart</a>,
                                    <a href="../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChart.html#createValueAxis-org.apache.poi.xddf.usermodel.chart.AxisPosition-">createValueAxis</a>,
                                    <a href="../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChart.html#deleteLegend--">deleteLegend</a>,
                                    <a href="../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChart.html#deleteShapeProperties--">deleteShapeProperties</a>,
                                    <a href="../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChart.html#displayBlanksAs-org.apache.poi.xddf.usermodel.chart.DisplayBlanks-">displayBlanksAs</a>,
                                    <a href="../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChart.html#fillSheet-org.apache.poi.xssf.usermodel.XSSFSheet-org.apache.poi.xddf.usermodel.chart.XDDFDataSource-org.apache.poi.xddf.usermodel.chart.XDDFNumericalDataSource-">fillSheet</a>,
                                    <a href="../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChart.html#findDefinedParagraphProperty-java.util.function.Function-java.util.function.Function-">findDefinedParagraphProperty</a>,
                                    <a href="../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChart.html#findDefinedRunProperty-java.util.function.Function-java.util.function.Function-">findDefinedRunProperty</a>,
                                    <a href="../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChart.html#formatRange-org.apache.poi.ss.util.CellRangeAddress-">formatRange</a>,
                                    <a href="../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChart.html#getAxes--">getAxes</a>,
                                    <a href="../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChart.html#getChartIndex--">getChartIndex</a>,
                                    <a href="../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChart.html#getChartSeries--">getChartSeries</a>,
                                    <a href="../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChart.html#getCTChart--">getCTChart</a>,
                                    <a href="../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChart.html#getCTChartSpace--">getCTChartSpace</a>,
                                    <a href="../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChart.html#getCTPlotArea--">getCTPlotArea</a>,
                                    <a href="../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChart.html#getFormattedTitle--">getFormattedTitle</a>,
                                    <a href="../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChart.html#getOrAddLegend--">getOrAddLegend</a>,
                                    <a href="../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChart.html#getOrAddManualLayout--">getOrAddManualLayout</a>,
                                    <a href="../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChart.html#getOrAddShapeProperties--">getOrAddShapeProperties</a>,
                                    <a href="../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChart.html#getTitle--">getTitle</a>,
                                    <a href="../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChart.html#getTitleOverlay--">getTitleOverlay</a>,
                                    <a href="../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChart.html#getWorkbook--">getWorkbook</a>,
                                    <a href="../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChart.html#importContent-org.apache.poi.xddf.usermodel.chart.XDDFChart-">importContent</a>,
                                    <a href="../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChart.html#isPlotOnlyVisibleCells--">isPlotOnlyVisibleCells</a>,
                                    <a href="../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChart.html#plot-org.apache.poi.xddf.usermodel.chart.XDDFChartData-">plot</a>,
                                    <a href="../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChart.html#saveWorkbook-org.apache.poi.xssf.usermodel.XSSFWorkbook-">saveWorkbook</a>,
                                    <a href="../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChart.html#setAutoTitleDeleted-boolean-">setAutoTitleDeleted</a>,
                                    <a href="../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChart.html#setBackWall-int-">setBackWall</a>,
                                    <a href="../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChart.html#setChartIndex-int-">setChartIndex</a>,
                                    <a href="../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChart.html#setExternalId-java.lang.String-">setExternalId</a>,
                                    <a href="../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChart.html#setFloor-int-">setFloor</a>,
                                    <a href="../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChart.html#setPlotOnlyVisibleCells-boolean-">setPlotOnlyVisibleCells</a>,
                                    <a href="../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChart.html#setSheetTitle-java.lang.String-int-">setSheetTitle</a>,
                                    <a href="../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChart.html#setSideWall-int-">setSideWall</a>,
                                    <a href="../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChart.html#setTitleOverlay-boolean-">setTitleOverlay</a>,
                                    <a href="../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChart.html#setTitleText-java.lang.String-">setTitleText</a>,
                                    <a href="../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChart.html#setValueRange-int-java.lang.Double-java.lang.Double-java.lang.Double-java.lang.Double-">setValueRange</a>,
                                    <a href="../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChart.html#setWorkbook-org.apache.poi.xssf.usermodel.XSSFWorkbook-">setWorkbook</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.ooxml.POIXMLDocumentPart">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.ooxml.<a
                                        href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html"
                                        title="class in org.apache.poi.ooxml">POIXMLDocumentPart</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#Z:Z_invokeOnDocumentRead-org.apache.poi.ooxml.POIXMLDocumentPart-">_invokeOnDocumentRead</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#addRelation-java.lang.String-org.apache.poi.ooxml.POIXMLRelation-org.apache.poi.ooxml.POIXMLDocumentPart-">addRelation</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#createRelationship-org.apache.poi.ooxml.POIXMLRelation-org.apache.poi.ooxml.POIXMLFactory-">createRelationship</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#createRelationship-org.apache.poi.ooxml.POIXMLRelation-org.apache.poi.ooxml.POIXMLFactory-int-">createRelationship</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#createRelationship-org.apache.poi.ooxml.POIXMLRelation-org.apache.poi.ooxml.POIXMLFactory-int-boolean-">createRelationship</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#getNextPartNumber-org.apache.poi.ooxml.POIXMLRelation-int-">getNextPartNumber</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#getPackagePart--">getPackagePart</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#getParent--">getParent</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#getRelationById-java.lang.String-">getRelationById</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#getRelationId-org.apache.poi.ooxml.POIXMLDocumentPart-">getRelationId</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#getRelationPartById-java.lang.String-">getRelationPartById</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#getRelationParts--">getRelationParts</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#getRelations--">getRelations</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#getTargetPart-org.apache.poi.openxml4j.opc.PackageRelationship-">getTargetPart</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#isCommited--">isCommited</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#onDocumentCreate--">onDocumentCreate</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#onDocumentRead--">onDocumentRead</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#onDocumentRemove--">onDocumentRemove</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#onSave-java.util.Set-">onSave</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#prepareForCommit--">prepareForCommit</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#read-org.apache.poi.ooxml.POIXMLFactory-java.util.Map-">read</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#rebase-org.apache.poi.openxml4j.opc.OPCPackage-">rebase</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#removeRelation-org.apache.poi.ooxml.POIXMLDocumentPart-">removeRelation</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#removeRelation-org.apache.poi.ooxml.POIXMLDocumentPart-boolean-">removeRelation</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#removeRelation-java.lang.String-">removeRelation</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#setCommited-boolean-">setCommited</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#toString--">toString</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, finalize, getClass, notify, notifyAll, wait, wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ FIELD DETAIL =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.detail">
                        <!--   -->
                    </a>
                        <h3>Field Detail</h3>
                        <a name="DEFAULT_WIDTH">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>DEFAULT_WIDTH</h4>
                                <pre>public static final&nbsp;int DEFAULT_WIDTH</pre>
                                <div class="block">default width of chart in emu</div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.xwpf.usermodel.XWPFChart.DEFAULT_WIDTH">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="DEFAULT_HEIGHT">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>DEFAULT_HEIGHT</h4>
                                <pre>public static final&nbsp;int DEFAULT_HEIGHT</pre>
                                <div class="block">default height of chart in emu</div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.xwpf.usermodel.XWPFChart.DEFAULT_HEIGHT">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="XWPFChart--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>XWPFChart</h4>
                                <pre>protected&nbsp;XWPFChart()</pre>
                                <div class="block">constructor to
                                    Create a new chart in document
                                </div>
                                <dl>
                                    <dt><span class="simpleTagLabel">Since:</span></dt>
                                    <dd>POI 4.0.0</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="XWPFChart-org.apache.poi.openxml4j.opc.PackagePart-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>XWPFChart</h4>
                                <pre>protected&nbsp;XWPFChart(<a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackagePart.html"
                                        title="class in org.apache.poi.openxml4j.opc">PackagePart</a>&nbsp;part)
             throws java.io.IOException,
                    org.apache.xmlbeans.XmlException</pre>
                                <div class="block">Construct a chart from a package part.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>part</code> - the package part holding the chart data,
                                        the content type must be <code>application/vnd.openxmlformats-officedocument.drawingml.chart+xml</code>
                                    </dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code></dd>
                                    <dd><code>org.apache.xmlbeans.XmlException</code></dd>
                                    <dt><span class="simpleTagLabel">Since:</span></dt>
                                    <dd>POI 4.0.0</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getChartRelation--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getChartRelation</h4>
                                <pre>protected&nbsp;<a href="../../../../../org/apache/poi/ooxml/POIXMLRelation.html"
                                                       title="class in org.apache.poi.ooxml">POIXMLRelation</a>&nbsp;getChartRelation()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChart.html#getChartRelation--">getChartRelation</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChart.html"
                                                title="class in org.apache.poi.xddf.usermodel.chart">XDDFChart</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the chart relation in the implementing subclass.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getChartWorkbookRelation--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getChartWorkbookRelation</h4>
                                <pre>protected&nbsp;<a href="../../../../../org/apache/poi/ooxml/POIXMLRelation.html"
                                                       title="class in org.apache.poi.ooxml">POIXMLRelation</a>&nbsp;getChartWorkbookRelation()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChart.html#getChartWorkbookRelation--">getChartWorkbookRelation</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChart.html"
                                                title="class in org.apache.poi.xddf.usermodel.chart">XDDFChart</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the chart workbook relation in the implementing subclass.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getChartFactory--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getChartFactory</h4>
                                <pre>protected&nbsp;<a href="../../../../../org/apache/poi/ooxml/POIXMLFactory.html"
                                                       title="class in org.apache.poi.ooxml">POIXMLFactory</a>&nbsp;getChartFactory()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChart.html#getChartFactory--">getChartFactory</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChart.html"
                                                title="class in org.apache.poi.xddf.usermodel.chart">XDDFChart</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the chart factory in the implementing subclass.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getChecksum--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getChecksum</h4>
                                <pre>public&nbsp;java.lang.Long&nbsp;getChecksum()</pre>
                            </li>
                        </ul>
                        <a name="equals-java.lang.Object-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>equals</h4>
                                <pre>public&nbsp;boolean&nbsp;equals(java.lang.Object&nbsp;obj)</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code>equals</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="hashCode--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>hashCode</h4>
                                <pre>public&nbsp;int&nbsp;hashCode()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code>hashCode</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="attach-java.lang.String-org.apache.poi.xwpf.usermodel.XWPFRun-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>attach</h4>
                                <pre>protected&nbsp;void&nbsp;attach(java.lang.String&nbsp;chartRelId,
                      <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFRun.html"
                         title="class in org.apache.poi.xwpf.usermodel">XWPFRun</a>&nbsp;run)
               throws <a href="../../../../../org/apache/poi/openxml4j/exceptions/InvalidFormatException.html"
                         title="class in org.apache.poi.openxml4j.exceptions">InvalidFormatException</a>,
                      java.io.IOException</pre>
                                <div class="block">Attach this chart known by its relation id to the given text run.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>chartRelId</code> - the relation id of this chart in its parent document.
                                    </dd>
                                    <dd><code>run</code> - the text run to which this chart will be inlined.</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/openxml4j/exceptions/InvalidFormatException.html"
                                            title="class in org.apache.poi.openxml4j.exceptions">InvalidFormatException</a></code>
                                    </dd>
                                    <dd><code>java.io.IOException</code></dd>
                                    <dt><span class="simpleTagLabel">Since:</span></dt>
                                    <dd>POI 4.0.0</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setChartHeight-long-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setChartHeight</h4>
                                <pre>public&nbsp;void&nbsp;setChartHeight(long&nbsp;height)</pre>
                                <div class="block">set chart height</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>height</code> - height of chart</dd>
                                    <dt><span class="simpleTagLabel">Since:</span></dt>
                                    <dd>POI 4.0.0</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setChartWidth-long-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setChartWidth</h4>
                                <pre>public&nbsp;void&nbsp;setChartWidth(long&nbsp;width)</pre>
                                <div class="block">set chart width</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>width</code> - width of chart</dd>
                                    <dt><span class="simpleTagLabel">Since:</span></dt>
                                    <dd>POI 4.0.0</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getChartHeight--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getChartHeight</h4>
                                <pre>public&nbsp;long&nbsp;getChartHeight()</pre>
                                <div class="block">get chart height</div>
                                <dl>
                                    <dt><span class="simpleTagLabel">Since:</span></dt>
                                    <dd>POI 4.0.0</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getChartWidth--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getChartWidth</h4>
                                <pre>public&nbsp;long&nbsp;getChartWidth()</pre>
                                <div class="block">get chart width</div>
                                <dl>
                                    <dt><span class="simpleTagLabel">Since:</span></dt>
                                    <dd>POI 4.0.0</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setChartBoundingBox-long-long-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setChartBoundingBox</h4>
                                <pre>public&nbsp;void&nbsp;setChartBoundingBox(long&nbsp;width,
                                long&nbsp;height)</pre>
                                <div class="block">set chart height and width</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>width</code> - width of chart</dd>
                                    <dd><code>height</code> - height of chart</dd>
                                    <dt><span class="simpleTagLabel">Since:</span></dt>
                                    <dd>POI 4.0.0</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setChartTopMargin-long-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setChartTopMargin</h4>
                                <pre>public&nbsp;void&nbsp;setChartTopMargin(long&nbsp;margin)</pre>
                                <div class="block">set margin from top</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>margin</code> - margin from top</dd>
                                    <dt><span class="simpleTagLabel">Since:</span></dt>
                                    <dd>POI 4.0.0</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getChartTopMargin-long-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getChartTopMargin</h4>
                                <pre>public&nbsp;long&nbsp;getChartTopMargin(long&nbsp;margin)</pre>
                                <div class="block">get margin from Top</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>margin</code> -</dd>
                                    <dt><span class="simpleTagLabel">Since:</span></dt>
                                    <dd>POI 4.0.0</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setChartBottomMargin-long-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setChartBottomMargin</h4>
                                <pre>public&nbsp;void&nbsp;setChartBottomMargin(long&nbsp;margin)</pre>
                                <div class="block">set margin from bottom</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>margin</code> - margin from Bottom</dd>
                                    <dt><span class="simpleTagLabel">Since:</span></dt>
                                    <dd>POI 4.0.0</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getChartBottomMargin-long-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getChartBottomMargin</h4>
                                <pre>public&nbsp;long&nbsp;getChartBottomMargin(long&nbsp;margin)</pre>
                                <div class="block">get margin from Bottom</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>margin</code> -</dd>
                                    <dt><span class="simpleTagLabel">Since:</span></dt>
                                    <dd>POI 4.0.0</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setChartLeftMargin-long-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setChartLeftMargin</h4>
                                <pre>public&nbsp;void&nbsp;setChartLeftMargin(long&nbsp;margin)</pre>
                                <div class="block">set margin from left</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>margin</code> - margin from left</dd>
                                    <dt><span class="simpleTagLabel">Since:</span></dt>
                                    <dd>POI 4.0.0</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getChartLeftMargin-long-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getChartLeftMargin</h4>
                                <pre>public&nbsp;long&nbsp;getChartLeftMargin(long&nbsp;margin)</pre>
                                <div class="block">get margin from left</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>margin</code> -</dd>
                                    <dt><span class="simpleTagLabel">Since:</span></dt>
                                    <dd>POI 4.0.0</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setChartRightMargin-long-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setChartRightMargin</h4>
                                <pre>public&nbsp;void&nbsp;setChartRightMargin(long&nbsp;margin)</pre>
                                <div class="block">set margin from Right</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>margin</code> - from right</dd>
                                    <dt><span class="simpleTagLabel">Since:</span></dt>
                                    <dd>POI 4.0.0</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getChartRightMargin-long-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getChartRightMargin</h4>
                                <pre>public&nbsp;long&nbsp;getChartRightMargin(long&nbsp;margin)</pre>
                                <div class="block">get margin from Right</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>margin</code> -</dd>
                                    <dt><span class="simpleTagLabel">Since:</span></dt>
                                    <dd>POI 4.0.0</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setChartMargin-long-long-long-long-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>setChartMargin</h4>
                                <pre>public&nbsp;void&nbsp;setChartMargin(long&nbsp;top,
                           long&nbsp;right,
                           long&nbsp;bottom,
                           long&nbsp;left)</pre>
                                <div class="block">set chart margin</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>top</code> - margin from top</dd>
                                    <dd><code>right</code> - margin from right</dd>
                                    <dd><code>bottom</code> - margin from bottom</dd>
                                    <dd><code>left</code> - margin from left</dd>
                                    <dt><span class="simpleTagLabel">Since:</span></dt>
                                    <dd>POI 4.0.0</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/XWPFChart.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFAbstractSDT.html"
               title="class in org.apache.poi.xwpf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFComment.html"
               title="class in org.apache.poi.xwpf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xwpf/usermodel/XWPFChart.html" target="_top">Frames</a>
        </li>
        <li><a href="XWPFChart.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li><a href="#nested.classes.inherited.from.class.org.apache.poi.ooxml.POIXMLDocumentPart">Nested</a>&nbsp;|&nbsp;
            </li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
